import 'package:xiaoxiong_repository/entity/config_entity.dart';
import 'package:base_repository/base_repository.dart';
import 'impl/config_repository_impl.dart'; 

///
/// ConfigRepository
/// 配置相关的网络库
///
abstract class ConfigRepository {
  static get() {
    return ConfigRepositoryImpl();
  }

  ///
  /// 获取实时配置
  /// 备注请求【{{v4}}config.getConfig】接口，如果缓存中配置版本字段小于这个接口中的version，需要拉取【{{v4}}config.commonList】获取全部配置
  ///
  Future<DSResponseObject<ConfigEntity>> getConfig();
}
