import 'package:xiaoxiong_repository/app_xiaoxiong_repository.dart';
import 'impl/user_repository_impl.dart';

///
/// UserRepository
/// 用户相关的网络库
///
abstract class UserRepository {
  static UserRepository get() {
    return UserRepositoryImpl();
  }

  Future<DSResponseObject> qryUserInfo({int dataType = 0});


  ///
  /// 判断用户是否签到的接口
  ///
  Future<DSResponseObject> isUserSign();

  ///
  /// 用户签到接口
  ///
  Future<DSResponseObject> userSign();

  ///
  /// 获取签到幸运点
  ///
  Future<DSResponseObject> getSignLucky();

  ///
  /// 用户观看视频给奖励
  ///
  Future<DSResponseObject> watchVideoRewardScore();

  ///
  /// 获取用户积分豆详情
  ///
  Future<DSResponseObject> videoGetVideoInfo();

  ///
  /// 积分兑换初始化
  ///
  Future<DSResponseObject> signConvertInData();
}
