import 'dart:io';
import 'package:dio/dio.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:base_repository/base_repository.dart';
import 'package:xiaoxiong_repository/repository/price_repository.dart';

void main() {
  DSDioUtil.getInstance().init(
      baseUrl: 'http://zy_xiaoxiong.test.xiaomanxiong.cn/v4/',
      inject: LoggerInterceptor());

  test('查询好价列表', () async {
    PriceRepository repository = PriceRepository.get();
    await repository.qryProductList().then((val) {
      print(val.code);
    }).catchError((err) {
      print(err);
    });
  });
}

class LoggerInterceptor extends InterceptorsWrapper {

  @override
  void onRequest(RequestOptions options,RequestInterceptorHandler handler,) {
    var headers = {
      'device-id': '697553255C7D2BC108E891EBBAED3E52',
      'device-type': '111',
      "token": '6F2B5A4565FECD5CCFAC6BC399131F1A',
      'user-id': '1514061',
      'os-name': 'android',
      'os-version': 'REL',
      'app-version': '3.1.0',
      'timestamp': '1608539293',
      // 'check-sign': 'FrWR0rfNs3s9VaLZ'
    };
    options.headers.addAll(headers);
    options.contentType = ContentType.parse('application/json').toString();
    handler.next(options);
  }

  @override
  void onResponse(Response e, ResponseInterceptorHandler handler) {
    handler.next(e);
  }

  @override
  void onError(DioError e,ErrorInterceptorHandler handler) {
    handler.next(e);
  }
}
